import { SpawnOptions } from "child_process";
import { CSharpEmitterContext } from "../sdk-context.js";
export declare function execCSharpGenerator(context: CSharpEmitterContext, options: {
    generatorPath: string;
    outputFolder: string;
    pluginName: string;
    newProject: boolean;
    debug: boolean;
}): Promise<{
    exitCode: number;
    stderr: string;
    proc: any;
}>;
export declare function execAsync(command: string, args?: string[], options?: SpawnOptions): Promise<{
    exitCode: number;
    stdio: string;
    stdout: string;
    stderr: string;
    proc: any;
}>;
//# sourceMappingURL=utils.d.ts.map